<?xml version="1.0" encoding="UTF-16"?>
<instrumentationManifest xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd" xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
	<instrumentation>
		<events>
			<provider name="NVIDIA-DD-External" guid="{AE4F8626-8265-40D1-A70B-11B64240E8E9}" symbol="NvidiaDdExternalProvider" resourceFileName="ddETWExternal.dll" messageFileName="ddETWExternal.dll">
				<events>
					<event symbol="FlipRequest" value="1" version="0" channel="NVIDIA-DD-External/Analytic" level="win:Informational" task="FlipRequest" opcode="Request" template="FlipRequestData">
					</event>
					<event symbol="FlipNotify_v0" value="2" version="0" channel="NVIDIA-DD-External/Analytic" level="win:Informational" task="FlipNotify" opcode="Notify" template="FlipNotifyData_v0">
					</event>					
					<event symbol="FlipNotify" value="2" version="1" channel="NVIDIA-DD-External/Analytic" level="win:Informational" task="FlipNotify" opcode="Notify" template="FlipNotifyData">
					</event>
					<event symbol="FlipStart" value="3" version="0" channel="NVIDIA-DD-External/Analytic" level="win:Informational" task="FlipStart" opcode="Start" template="FlipStartData">
					</event>
				</events>
				<levels>
				</levels>
				<tasks>
					<task name="FlipRequest" symbol="Task_FlipRequest" value="1" eventGUID="{00000000-0000-0000-0000-000000000000}">
					</task>
					<task name="FlipNotify" symbol="Task_FlipNotify" value="2" eventGUID="{00000000-0000-0000-0000-000000000000}">
					</task>
					<task name="FlipStart" symbol="Task_FlipStart" value="3" eventGUID="{00000000-0000-0000-0000-000000000000}">
					</task>
				</tasks>
				<opcodes>
					<opcode name="Request" symbol="Opcode_Request" value="10">
					</opcode>
					<opcode name="Notify" symbol="Opcode_Notify" value="11">
					</opcode>
					<opcode name="Start" symbol="Opcode_Start" value="12">
					</opcode>
				</opcodes>
				<channels>
					<channel name="NVIDIA-DD-External/Admin" chid="NVIDIA-DD-External/Admin" symbol="Admin" type="Admin" enabled="false">
					</channel>
					<channel name="NVIDIA-DD-External/Operational" chid="NVIDIA-DD-External/Operational" symbol="Operational" type="Operational" enabled="false">
					</channel>
					<channel name="NVIDIA-DD-External/Debug" chid="NVIDIA-DD-External/Debug" symbol="Debug" type="Debug" enabled="false">
					</channel>
					<channel name="NVIDIA-DD-External/Analytic" chid="NVIDIA-DD-External/Analytic" symbol="Analytic" type="Analytic" enabled="false">
					</channel>
				</channels>
				<templates>
					<template tid="FlipRequestData">
						<data name="presentId" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="token" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="delay" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="ts" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="head" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="vidPnSourceId" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="gpu" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="alloc" inType="win:HexInt64" outType="win:HexInt64">
						</data>
					</template>
					<template tid="FlipNotifyData_v0">
						<data name="head" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="presentId0" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="ts0" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="token0" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="count0" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="status0" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="presentId1" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="ts1" inType="win:UInt64" outType="xs:unsignedLong">
						</data>
						<data name="token1" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="count1" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="status1" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
					</template>
					<template tid="FlipNotifyData">
						<data name="head" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="presentId" inType="win:UInt64" outType="xs:unsignedLong" count="2">
						</data>
						<data name="status" inType="win:UInt64" outType="xs:unsignedLong" count="2">
						</data>
						<data name="timestamp" inType="win:UInt64" outType="xs:unsignedLong" count="2">
						</data>
						<data name="flipToken" inType="win:UInt64" outType="xs:unsignedLong" count="2">
						</data>
						<data name="presentCount" inType="win:UInt64" outType="xs:unsignedLong" count="2">
						</data>
					</template>
					<template tid="FlipStartData">
						<data name="head" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="srcId" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
						<data name="lineIntrId" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
					</template>
				</templates>
			</provider>
		</events>
	</instrumentation>
</instrumentationManifest>
